Page MenuHomePhabricator

Audit mysql database class and hhvm binding support of SSL
Closed, ResolvedPublic

Description

Add any ssl flags needed to DB classes and test with mysql/mariadb in vagrant.

Event Timeline

aaron created this task.May 25 2016, 4:37 PM
aaron added a comment.Jun 6 2016, 6:40 PM
This comment was removed by aaron.
aaron updated the task description. (Show Details)Jun 6 2016, 6:40 PM

Change 306026 had a related patch set uploaded (by Aaron Schulz):
Call ssl_set() in DatabaseMysqli if DBO_SSL is set

https://gerrit.wikimedia.org/r/306026

Change 306026 merged by jenkins-bot:
Call ssl_set() in DatabaseMysqli if DBO_SSL is set

https://gerrit.wikimedia.org/r/306026

aaron closed this task as Resolved.Sep 1 2016, 7:25 PM